# This config file is only provided as an example file.
# Edit it to sute your needs.
# For more info on how to edit this file. use the Readme.txt file or visit http://www.ibattle.org/install-and-configure
# Configured by TermNCR from UK420DAYZ. For more information please join here; https://discord.me/uk420dayz



#--------------------------------------------------------------------------------------------------------
[Bec]
#--------------------------------------------------------------------------------------------------------

# Set the ip to your server. normally 127.0.0.1 will be fine.
Ip = 127.0.0.1


# Set the port to the server. default port is 2302
Port = 2302


# Set the path to the BattlEye directory that is currently in use by the server.
BePath = C:\DayZ\BattlEye


# Set the path to your Admins.xml file containing your admins.
Admins = Admins.xml


# Set the path to your Commands.xml file.
Commands = Commands.xml


#--------------------------------------------------------------------------------------------------------
[Misc]
#--------------------------------------------------------------------------------------------------------

# Auto run loadbans when ban file(s) changes. 
# 1 or True will turn it on.
# 0 or False will turn it off. 
# If this parameter is not defined it will use False as default.

AutoLoadBans = True

# Set which type of hacks that will be added to your banlist.
# 0 = none. 1 = GameHack. 2 = Battleye Hack. 3 = both GameHack & Battleye Hack. 
# value 3 is set as default if this parameter is not defined.
Ban = 3


# Set the names of your custom ban files, Separate each file with "," (comma): file1.txt, banfile2.txt, newfile.txt
# If you do not use any custom ban files. delete this option or leave this option commented.
# This option will check ban files for changes and automatic do a loadbans file when a file gets changed
# Do not specify the default bans.txt file here.
#BeCustomBanFiles = Bans1.txt, file2.txt, file3.txt


# Set the height & width of Becs console window
ConsoleHeight	= 45
ConsoleWidth	= 165


# Only allow english chars.
AsciiNickOnly = False


# Only allow english chars to be typed on the chat. Note, Warnings must be enabled. 0 or more.
AsciiChatOnly = false


# If AsciiChatOnly is set True. you can define none english chars that will be accepted.
# You separate each char with a , "note you need to define lower and upper case of the chars."
IgnoreChatChars	= €,£,æ,Æ,ø,Ø,å,Å,ö,ä,ü,ß


# Set the amount of warnings a player will get before kicked. -1 is disabled. 0 instant kick
# 1 == one warning on a bad word. next bad word results in kick
Warnings = 3


# Kick players who has listed chars in their name when they connect
DisallowPlayerNameChars	= []{}()0123456789


# Min length, kicks players who has to short name when they connect.
MinPlayerNameLength	= 3


# Max length, kicks players who has to long name when they connect.
MaxPlayerNameLength	= 16


# Set the name of your Arma3server.exe if it has been renamed from arma3server.exe to something else!
# if the exe has its original name. comment it out.
# DO NOT SET FULL PATH TO THE EXE FILE
ServerExeName = DayZServer_x64.exe


# Set path to the file containing a list of bad words. Note, Warnings must be enabled. 0 or more.
WordFilterFile = BadWords.txt


# Set the path to the file containing whitelisted guids.
#WhiteListFile = WhiteList.txt


# Set custom whitelist kick message. Text must be in ascii letters.  MAX 58 CHARS. BE only does ascii on messages
WhiteListKickMsg = You are not whitelisted on this server.


# Kick people with offensive names
NickFilterFile = BadNames.txt


# Set the path to the Scheduler.xml file.
Scheduler = Scheduler.xml


# Kick people who are idleing in the lobby, kick will happen after given time, Min time is 90 sec. use 0 to disable this function.
KickLobbyIdlers	= 0


# If enabled. Bec will create separate chat files for each channel along with the main file.
#ChatChannelFiles = false

# Set the amount of Normal players who can connect. Set it to -1 to disable it. 
# If set to 0 it means only players who are listed in the Admins.xml, (or whatever you call it) will be able to connect to the server.
# Quick Example 1: server can holed 50 players. and you want to reserve 5 slots for admins. then set SlotLimit to 45.
# Quick Example 2: server can holed 50 players. and you want to reserve 5 slots for admins and 5 slots for friends. then set SlotLimit to 40,
# AND edit your admins.xml. ADD in all your frineds guid and remaining data, put them in group example 100. or whatever you feel likt.
# by using this method you can give some of your friends some access to some commands if you like or none. 
# in general this is works like .Whitelisting X player slots for admins and friends, while leaving the remaining Y slots for public.
SlotLimit = -1

# Set the message people will get when they try to connect and is not whitelisted. Text must be in ascii letters.
SlotLimitKickMsg = The Server has reached its player limit.


# The amount of time Bec will wait for the server to start up.
Timeout = 60


#--------------------------------------------------------------------------------------------------------
[Reporter]
#--------------------------------------------------------------------------------------------------------
# Reporter account. Fill in the username and password for your reporter account.
# GameHacks, BattlEye Hacks will be reported to a database. all players who connect will also be checked against this database.

# Set the Username for your account
#User = alfred


# Set the Password for your account
#Password = 123456


#--------------------------------------------------------------------------------------------------------
[ChatRestriction]
#--------------------------------------------------------------------------------------------------------
# Set max amount of chat lines a player is allowed to send for each channel. 
# Going passed the number will result in kick. -1 is disabled, 0 instant kick.
# If the number is higher than 0 players will be sent warnings.

Lobby = -1
Global = -1
Side = -1
Group = -1
Vehicle	= -1
Command	= -1
Commander = -1
Direct = -1


#--------------------------------------------------------------------------------------------------------
[ChatSpam]
#--------------------------------------------------------------------------------------------------------

# Set max amount of chat lines per channel allowed within given time frame.
# Set the values to 0 to disable this function(s)

# Quick Example:
# Lobby = 5
# Lobby_Time_Lower = 10
# Lobby_Time_Upper = 15

# If the time between each new chatlines from a player is less than CHANNEL_Time_Lower the spam counter increases by + 1. 
# Consider the CHANNEL (Lobby) as the spam counter.
# When a player has (CHANNEL - 1) in spam counting. a warning will be sent to whom it may concern.
# If the time between each new chatline from the player is Greater than CHANNEL_Time_Lower and Less than CHANNEL_Time_Upper the spam counter stay as it is.
# If the time since the last chatline is greater then CHANNEL_Time_Upper the spam counter is reset to 1.
# To get optimal result play around a bit with the values on your server.

Lobby = 0
Lobby_Time_Lower = 0
Lobby_Time_Upper = 0

Global = 0
Global_Time_Lower = 0
Global_Time_Upper = 0

Side = 0
Side_Time_Lower	= 0
Side_Time_Upper	= 0

Group = 2
Group_Time_Lower = 1
Group_Time_Upper = 3

Vehicle	= 0
Vehicle_Time_Lower = 0
Vehicle_Time_Upper = 0

Command = 0
Command_Time_Lower = 0
Command_Time_Upper = 0

Commander = 0
Commander_Time_Lower = 0
Commander_Time_Upper = 0

Direct = 0
Direct_Time_Lower = 0
Direct_Time_Upper = 0


